GDB (xrefs)

Classes | Enumerations | Functions
/tmp/gdb-8.1/gdb/go-lang.h File Reference
`#include "gdbtypes.h"`
`#include "symtab.h"`
`#include "value.h"`

Go to the source code of this file.

## Classes
struct | builtin_go_type

## Enumerations
enum | go_type { GO_TYPE_NONE, GO_TYPE_STRING }

## Functions
int | go_parse (struct parser_state *)
void | go_yyerror (const char *)
const char * | go_main_name (void)
enum go_type | go_classify_struct_type (struct type *type)
char * | go_demangle (const char *mangled, int options)
char * | go_symbol_package_name (const struct symbol *sym)
char * | go_block_package_name (const struct block *block)
const struct builtin_go_type * | builtin_go_type (struct gdbarch *)
void | go_print_type (struct type *type, const char *varstring, struct ui_file *stream, int show, int level, const struct type_print_options *flags)
void | go_val_print (struct type *type, int embedded_offset, CORE_ADDR address, struct ui_file *stream, int recurse, struct value *val, const struct value_print_options *options)

## Enumeration Type Documentation

## ◆ go_type

enum go_type

Enumerator
GO_TYPE_NONE |
GO_TYPE_STRING |

Definition at line 53 of file go-lang.h.

## Function Documentation

## ◆ builtin_go_type()

const struct builtin_go_type* builtin_go_type | ( | struct gdbarch * |  | ) |

Definition at line 669 of file go-lang.c.

References gdbarch_data(), and go_type_data.

Referenced by build_go_types(), go_language_arch_info(), and parse_number().

## ◆ go_block_package_name()

char* go_block_package_name | ( | const struct block * | block | ) |

Definition at line 430 of file go-lang.c.

References BLOCK_FUNCTION, BLOCK_SUPERBLOCK, and go_symbol_package_name().

Referenced by classify_name().

## ◆ go_classify_struct_type()

enum go_type go_classify_struct_type | ( | struct type * | type | ) |

Definition at line 120 of file go-lang.c.

References check_typedef(), gccgo_string_p(), GO_TYPE_NONE, GO_TYPE_STRING, and sixg_string_p().

Referenced by go_val_print().

## ◆ go_demangle()

char* go_demangle | ( | const char * | mangled,
|  | int | options
| ) |  |

Definition at line 336 of file go-lang.c.

References obstack_grow_str, obstack_grow_str0, tempbuf, unpack_mangled_go_symbol(), and xfree().

Referenced by demangle_for_lookup(), and go_sniff_from_mangled_name().

## ◆ go_main_name()

const char* go_main_name | ( | void |  | ) |

Definition at line 55 of file go-lang.c.

References GO_MAIN_MAIN, and lookup_minimal_symbol().

Referenced by find_main_name().

## ◆ go_parse()

int go_parse | ( | struct parser_state * |  | ) |

Definition at line 3182 of file go-exp.c.

References auto_obstack::clear(), gdb_assert, last_was_structop, make_scoped_restore(), parser_debug, pstate, saw_name_at_eof, VEC_free, yydebug, and yyparse().

## ◆ go_print_type()

void go_print_type | ( | struct type * | type,
|  | const char * | varstring,
|  | struct ui_file * | stream,
|  | int | show,
|  | int | level,
|  | const struct type_print_options * | flags
| ) |  |

Definition at line 45 of file go-typeprint.c.

References c_print_type(), check_typedef(), flags, fputs_filtered(), TYPE_CODE, TYPE_CODE_ARRAY, TYPE_CODE_CHAR, and TYPE_TARGET_TYPE.

## ◆ go_symbol_package_name()

char* go_symbol_package_name | ( | const struct symbol * | sym | ) |

Definition at line 401 of file go-lang.c.

References gdb_assert, language_go, SYMBOL_LANGUAGE, SYMBOL_LINKAGE_NAME, unpack_mangled_go_symbol(), and xfree().

Referenced by fixup_go_packaging(), and go_block_package_name().

## ◆ go_val_print()

void go_val_print | ( | struct type * | type,
|  | int | embedded_offset,
|  | CORE_ADDR | address,
|  | struct ui_file * | stream,
|  | int | recurse,
|  | struct value * | val,
|  | const struct value_print_options * | options
| ) |  |

Definition at line 89 of file go-valprint.c.

References c_val_print(), check_typedef(), go_classify_struct_type(), GO_TYPE_STRING, print_go_string(), value_print_options::raw, TYPE_CODE, and TYPE_CODE_STRUCT.

## ◆ go_yyerror()

void go_yyerror | ( | const char * |  | ) |